Bug 46077 - deferAccept should be a settable property in AprEndpoint
deferAccept should be a settable property in AprEndpoint
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
6.0.18
All All
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2008-10-24 02:37 UTC by Michael Leinartas
Modified: 2008-11-05 07:58 UTC (History)
0 users



Attachments
Proposed patch against tc6.0.x/trunk r707267 (2.17 KB, patch)
2008-10-24 02:37 UTC, Michael Leinartas
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Leinartas 2008-10-24 02:37:03 UTC
Created attachment 22772 [details]
Proposed patch against tc6.0.x/trunk r707267

I'm currently using Tomcat 6 with APR behind a Juniper Redline cluster and am seeing the symptoms outlined here: https://bugs.launchpad.net/ubuntu/+source/apache2/+bug/134274

Because of this, I need the ability to disable the TCP_DEFER_ACCEPT flag on listening sockets.  This exists as a variable in AprEndpoint but does not have a getter/setter defined.

I've attached a patch to accomplish this.  Please review and let me know if I need to provide any further information for this to be accepted.

thanks
Comment 1 Mark Thomas 2008-10-27 15:06:47 UTC
Thanks for the patch. 

The only additional information I would have liked to have seen was an update to the APR documentation included in the patch.

I have applied it (plus some additional words for the docs) to trunk and proposed it for 6.0.x. 
Comment 2 Mark Thomas 2008-11-05 07:58:10 UTC
The patch has been applied to 6.0.19 and will be included from 6.0.19 onwards. Thanks again for the patch.